Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Warn that the module requires the EXIF module.

  • Loading branch information...
commit 12b781632aff82f6a16b49c5a330d84fe77588a3 1 parent de79623
@rWatcher rWatcher authored
View
8 3.0/modules/exif_gps/helpers/exif_gps_installer.php
@@ -65,6 +65,14 @@ static function deactivate() {
site_status::clear("exif_gps_needs_exif");
}
+ static function can_activate() {
+ $messages = array();
+ if (!module::is_active("exif")) {
+ $messages["warn"][] = t("The EXIF_GPS module requires the EXIF module.");
+ }
+ return $messages;
+ }
+
static function uninstall() {
// Delete the GPS table before uninstalling.
$db = Database::instance();
View
8 3.1/modules/exif_gps/helpers/exif_gps_installer.php
@@ -65,6 +65,14 @@ static function deactivate() {
site_status::clear("exif_gps_needs_exif");
}
+ static function can_activate() {
+ $messages = array();
+ if (!module::is_active("exif")) {
+ $messages["warn"][] = t("The EXIF_GPS module requires the EXIF module.");
+ }
+ return $messages;
+ }
+
static function uninstall() {
// Delete the GPS table before uninstalling.
$db = Database::instance();
Please sign in to comment.
Something went wrong with that request. Please try again.